#!/bin/sh
#
# BAREOS® - Backup Archiving REcovery Open Sourced
#
# Copyright (C) 2022-2022 Bareos GmbH & Co. KG
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of version three of the GNU Affero General Public
# License as published by the Free Software Foundation and included
# in the file LICENSE.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#
# This script is a wrapper replacing a deprecated Perl script.
#
# $1 is the Catalog Name resource you want to backup
set -e
set -u

#
# Source the Bareos config functions.
#
. /usr/local/lib/bareos/scripts/bareos-config-lib.sh

warn "This script is deprecated and will be remove in Bareos >= 23. Migrate your configuration to use make_catalog_backup"

if [ $# -ne 1 ]; then
    warn "Script signature has changed: usage $0 CatalogName"
    exit 1
fi

/usr/local/lib/bareos/scripts/make_catalog_backup "$1"
exit $?
